# List Product Catalog Imports

Returns a list of ProductCatalogImport objects.

## Request

```curl
curl https://api.stripe.com/v2/commerce/product_catalog/imports \
  -H "Authorization: Bearer <<YOUR_SECRET_KEY>>" \
  -H "Stripe-Version: 2026-10-28.endive"
```

### Response

```json
{
  "object": "v2.list",
  "data": [
    {
      "id": "pcimprt_test_61THl3VA5Zt5cTqbP16T9R4DRrSQbEWmWeLUx7WmOR8K",
      "object": "v2.commerce.product_catalog_import",
      "status": "awaiting_upload",
      "created": "2026-01-01T00:00:00.000Z",
      "status_details": {
        "awaiting_upload": {
          "upload_url": {
            "url": "https://stripeusercontent.com/files/us-west-2/upload/wksp_b1H",
            "expires_at": "2026-01-01T01:00:00.000Z"
          }
        }
      },
      "metadata": {
        "file_name": "march_11_2026_product_upload.csv"
      }
    }
  ],
  "next_page_url": null,
  "previous_page_url": null
}
```

## Parameters

- `created` (timestamp, optional)
  Filter for objects created at the specified timestamp. Must be an RFC 3339 date & time value, for example: 2022-09-18T13:22:00Z.

- `created_gt` (timestamp, optional)
  Filter for objects created after the specified timestamp. Must be an RFC 3339 date & time value, for example: 2022-09-18T13:22:00Z.

- `created_gte` (timestamp, optional)
  Filter for objects created on or after the specified timestamp. Must be an RFC 3339 date & time value, for example: 2022-09-18T13:22:00Z.

- `created_lt` (timestamp, optional)
  Filter for objects created before the specified timestamp. Must be an RFC 3339 date & time value, for example: 2022-09-18T13:22:00Z.

- `created_lte` (timestamp, optional)
  Filter for objects created on or before the specified timestamp. Must be an RFC 3339 date & time value, for example: 2022-09-18T13:22:00Z.

- `feed_type` (enum, optional)
  Filter by the type of feed data being imported.
Possible enum values:
  - `inventory`
    Inventory levels and stock availability feed.

  - `pricing`
    Pricing information feed including costs and currency data.

  - `product`
    Product information feed including SKUs, descriptions, and attributes.

  - `promotion`
    Promotional data feed including discounts and offers.

- `limit` (integer, optional)
  The maximum number of results per page.

- `page` (string, optional)
  The page token.

- `status` (enum, optional)
  Filter by import status.
Possible enum values:
  - `awaiting_upload`
    The import is waiting for the file to be uploaded.

  - `failed`
    The import failed and no records were processed.

  - `processing`
    The import is processing the uploaded file.

  - `succeeded`
    The import completed successfully with all records processed.

  - `succeeded_with_errors`
    The import completed but some records failed to process.

## Returns

## Response attributes

- [`data`](https://docs.stripe.com/api/v2/commerce/product-catalog-imports/list.md?query=data) (array of objects)
  List of ProductCatalogImport objects.

- `next_page_url` (string, nullable)
  URL to fetch the next page of the list. If there are no more pages, the value is null.

- `previous_page_url` (string, nullable)
  URL to fetch the previous page of the list. If there are no previous pages, the value is null.
